/*
 * Original Source http://azuco.sumomo.ne.jp/column/ag_ps2cmp/ps2lzss.cpp
 */
#pragma once
#include "enum.h"

DWORD ps2_lzss(
	LPBYTE sbuf,
	LPBYTE dbuf,
	DWORD dlen,
	COMPRESS_FLAG_TYPE compress_flag,
	DWORD enconding_bit
	);

DWORD ps2_lzss2(
	LPBYTE sbuf,
	LPBYTE dbuf,
	DWORD dlen,
	COMPRESS_FLAG_TYPE compress_flag,
	DWORD enconding_bit
	);
#if 0
DWORD ps2_lzss3(
	LPBYTE sbuf,
	LPBYTE dbuf,
	DWORD dlen,
	COMPRESS_FLAG_TYPE compress_flag,
	DWORD enconding_bit
	);
#endif
